> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ermbot.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Auth Token



## OpenAPI

````yaml POST /api/v1/auth/token
openapi: 3.0.3
info:
  title: ERM Public API
  version: 1.0.0
  description: API for Employee Resource Management
servers:
  - url: https://core.ermbot.xyz
    description: ERM API Server
security:
  - ApiKeyAuth: []
    GuildAuth: []
paths:
  /api/v1/auth/token:
    post:
      summary: Generate auth token
      parameters:
        - name: guild_id
          in: query
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Generated token
          content:
            application/json:
              schema:
                type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GuildAuth:
      type: apiKey
      in: header
      name: Guild

````